> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Update products



## OpenAPI

````yaml /openapi/shared.json put /v1/website/products/{id}/
openapi: 3.0.3
info:
  title: Yume API — Каталог
  version: 1.0.0
  description: 'Общие сущности: товары, бренды, категории.'
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/website/products/{id}/:
    put:
      tags:
        - website
      summary: Update products
      operationId: website_products_update
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ManageProduct'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ManageProduct'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ManageProduct'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManageProduct'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    ManageProduct:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          nullable: true
          maxLength: 255
        slug:
          type: string
          nullable: true
          maxLength: 50
          pattern: ^[-a-zA-Z0-9_]+$
        type:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Type476Enum'
            - $ref: '#/components/schemas/NullEnum'
        mode:
          allOf:
            - $ref: '#/components/schemas/Mode9ddEnum'
          minimum: 0
          maximum: 32767
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagsEnum'
        unique_id:
          type: string
          nullable: true
          maxLength: 64
        category:
          type: integer
          nullable: true
        image:
          type: string
          format: uri
          nullable: true
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        amount:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        discount:
          type: integer
          nullable: true
        discount_start_at:
          type: string
          format: date-time
          nullable: true
        discount_end_at:
          type: string
          format: date-time
          nullable: true
        extra: {}
        object_id:
          type: integer
          maximum: 9223372036854776000
          minimum: -9223372036854776000
          format: int64
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        published:
          type: boolean
      required:
        - amount
        - id
        - name
        - object_id
        - price
        - type
        - unique_id
    Type476Enum:
      enum:
        - set
        - product
        - service
      type: string
      description: |-
        * `set` - set
        * `product` - product
        * `service` - service
    NullEnum:
      enum:
        - null
    Mode9ddEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Аренда
        * `1` - Продажа
    TagsEnum:
      enum:
        - new
        - top
        - trend
      type: string
      description: |-
        * `new` - Новый
        * `top` - Топ
        * `trend` - Тренд
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````